<i18n lang="yml">
  en:
    ranking: "Ranking"
    ranking_old: " "
    ranking_new: " "
    district: "District"
    district2: " "
    cluster_location: "Container location"
    cluster_location2: " "
    odk: "ODK"
    odk_b: "%B"
    odk_scans: "|scans|"
    crow: "CROW"
    crow_b: "%B"
    crow_observed: "|schouw|"
  nl:
    ranking: "Rang"
    district: "Stadsdeel"
    cluster_location: "Containerlocatie"
    odk_scans: "|scans|"
    crow_observed: "|schouw|"
</i18n>

<template>
  <AmsTableGroup tag="thead" :class="$style['toploc-thead']">
    <template v-for="(row, rIndex) of rows">
      <AmsTableRow :key="rIndex">
        <!-- Content cells -->
        <template v-for="(cell, cIndex) in row">
          <AmsTableCell
            v-show="!cell.isHidden"
            :key="cIndex"
            :ref="cell.id"
            tag="th"
            scope="col"
            :colspan="cell.colspan"
            :class="$style[`cell-${cell.id}`]"
            :style="cell.style"
          >
            <div :class="$style['content']">
              <span>
                {{ $t(cell.id) }}
              </span>
            </div>
          </AmsTableCell>
        </template>
      </AmsTableRow>
    </template>
  </AmsTableGroup>
</template>

<script lang="ts">
import {
  defineComponent,
} from "@nuxtjs/composition-api";

export default defineComponent({
  name: "AmsScansTable",

  components: {
    AmsTableGroup: () => import("~/components/_elements/Table/TableGroup.vue"),
    AmsTableRow: () => import("~/components/_elements/Table/TableRow.vue"),
    AmsTableCell: () => import("~/components/_elements/Table/TableCell.vue"),
  },

  props: {
    rows: {
      type: Array,
      default: () => [],
    },
  },

  setup () {
    return {
    };
  },
});
</script>

<style lang="postcss" module>
.toploc-thead {
  tr {
    @apply rounded-sm;

    &:first-of-type th {
      @apply p-2;

      .content span {
        border-bottom: 1.5px dashed #767676;
      }
    }

    &:last-of-type th {
      font-size: 0.85em;

      @apply p-2 bg-gray-150;
    }
  }

  th {
    &.is-clickable {
      &:hover,
      &[data-focus-visible-added] {
        @apply bg-gray-200 text-gray-700 cursor-pointer;
      }
    }

    &.cell-ranking {
      width: 6rem;
    }

    &.cell-ranking_old {
      width: 2.5rem;
    }

    &.cell-ranking_new {
      width: 3rem;
    }

    &.cell-district {
      min-width: 8rem;
    }

    &.cell-odk,
    &.cell-crow {
      width: 25%;
      min-width: 10rem;
    }

    &.cell-odk_b,
    &.cell-crow_b,
    &.cell-odk_scans,
    &.cell-crow_observed {
      width: 12.5%;
      min-width: 5rem;
    }

    &:first-of-type {
      @apply rounded-l-sm;
    }

    &:last-of-type {
      @apply rounded-r-sm;
    }

    .content {
      @apply flex;
    }
  }
}

.icon {
  transition: transform 250ms ease;

  @apply flex justify-center items-center text-gray-700;

  svg {
    width: 14px;
    height: 14px;
  }
}
</style>
